Package: org.codehaus.groovy.grails.web.converters.marshaller.json

## [Java] Class DeepDomainClassMarshaller

- org.codehaus.groovy.grails.web.converters.marshaller.json.DeepDomainClassMarshaller

- Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DeepDomainClassMarshaller (boolean includeVersion, GrailsApplication application)`
    `DeepDomainClassMarshaller (boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected boolean` | `isRenderDomainClassRelations()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DomainClassMarshaller` | `asShortObject, extractValue, isIncludeVersion, isRenderDomainClassRelations, marshalObject, setIncludeVersion, supports`
    `class IncludeExcludePropertyMarshaller` | `excludesProperty, includesProperty, shouldInclude`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DeepDomainClassMarshaller(boolean includeVersion, GrailsApplication application)

    - #### public DeepDomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)

  - ### Method Detail

    - #### @java.lang.Override protected boolean isRenderDomainClassRelations()